Package fr.gouv.vitam.storage.offers.tape.cas

# Class ObjectReferentialRepository

java.lang.Object
fr.gouv.vitam.storage.offers.tape.cas.ObjectReferentialRepository

public class ObjectReferentialRepository extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectReferentialRepository(com.mongodb.client.MongoCollection<org.bson.Document> collection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TapeObjectReferentialEntity>`
  `bulkFind(String containerName, Set<String> objectNames)`
  `boolean`
  `delete(TapeLibraryObjectReferentialId tapeLibraryObjectReferentialId)`
  `Optional<TapeObjectReferentialEntity>`
  `find(String containerName, String objectName)`
  `void`
  `insertOrUpdate(TapeObjectReferentialEntity tapeObjectReferentialEntity)`
  `CloseableIterator<ObjectEntry>`
  `listContainerObjectEntries(String containerName)`
  `Set<String>`
  `selectArchiveIdsByObjectIds(Iterator<TapeLibraryObjectReferentialId> objectIdIterator)`
  `void`
  `updateStorageLocation(String containerName, String objectName, String storageId, TapeLibraryTarObjectStorageLocation tapeLibraryTarStorageLocation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectReferentialRepository

    public ObjectReferentialRepository(com.mongodb.client.MongoCollection<org.bson.Document> collection)

- ## Method Details

  - ### insertOrUpdate

    public void insertOrUpdate(TapeObjectReferentialEntity tapeObjectReferentialEntity) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### find

    public Optional<TapeObjectReferentialEntity> find(String containerName, String objectName) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### bulkFind

    public List<TapeObjectReferentialEntity> bulkFind(String containerName, Set<String> objectNames) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### updateStorageLocation

    public void updateStorageLocation(String containerName, String objectName, String storageId, TapeLibraryTarObjectStorageLocation tapeLibraryTarStorageLocation) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### delete

    public boolean delete(TapeLibraryObjectReferentialId tapeLibraryObjectReferentialId) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### selectArchiveIdsByObjectIds

    public Set<String> selectArchiveIdsByObjectIds(Iterator<TapeLibraryObjectReferentialId> objectIdIterator) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`

  - ### listContainerObjectEntries

    public CloseableIterator<ObjectEntry> listContainerObjectEntries(String containerName) throws ObjectReferentialException
    Throws:
      `ObjectReferentialException`